﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;

namespace YKPrintService.VO
{
    /// <summary>
    /// 批量打印机请求参数
    /// </summary>
    public class PrintersRequest : RestRequest
    {
        /// <summary>
        /// 打印机编号列表
        /// </summary>
        private List<string> snlist;

        /// <summary>
        /// 打印机编号列表
        /// </summary>
        [JsonProperty("snlist")]
        public List<string> Snlist
        {
            get
            {
                return snlist;
            }
            set
            {
                snlist = value;
            }
        }
    }
}
