﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    /// <summary>
    /// 云喇叭播放语音请求参数
    /// </summary>
    public class VoiceRequest : RestRequest
    {
        /// <summary>
        /// 打印机编号
        /// </summary>
        private String sn;

        [JsonProperty("sn")]
        public string Sn
        {
            get { return sn; }
            set { sn = value; }
        }

        private int? payType;
        /// <summary>
        /// 支付方式41~55：支付宝 微信 ...
        /// </summary>
        [JsonProperty("payType")]
        public int? PayType
        {
            get { return payType; }
            set { payType = value; }
        }
        private int? payMode;
        /// <summary>
        /// 支付与否59~61：退款 到账 消费
        /// </summary>
        [JsonProperty("payMode")]
        public int? PayMode
        {
            get { return payMode; }
            set { payMode = value; }
        }
        private double? money;
        /// <summary>
        /// 支付金额
        /// </summary>
        [JsonProperty("money")]
        public double? Money
        {
            get { return money; }
            set { money = value; }
        }
    }
}
