﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    /**
     * Query order statistics request parameters
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class QueryOrderStatisRequest : RestRequest
    {

        /**
         * Printer number
         */
        private String sn;
        /**
         * Query date, format:YYYY-MM-DD，Such as: 2016-09-20
         */
        private String date;
        [JsonProperty("sn")]
        public string Sn { get{ return sn; }set{ sn = value; }}
        [JsonProperty("date")]
        public string Date { get{ return date; }set{ date = value; }}
    }
}