﻿using Newtonsoft.Json;

namespace YKPrintService.VO
{
    /**
     * Order Statistics Results
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class OrderStatisResult
    {

        /**
         * The order number has been printed
         */
        private int printed;
        /**
         * Wait for printing orders
         */
        private int waiting;
        [JsonProperty("printed")]
        public int Printed { get{ return printed; }set{ printed = value; }}
        [JsonProperty("waiting")]
        public int Waiting { get{ return waiting; }set{ waiting = value; }}
    }
}
