﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;

namespace YKPrintService.VO
{
    /**
     * Batch add or delete printer results
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class PrinterResult
    {

        public PrinterResult()
        {

            Success = new List<string>();
            Fail = new List<string>();
            FailMsg = new List<string>();
        }

        /**
         * Collection of successful printer numbers
         */
        private List<String> success;

        /**
         * Failed collection of printer numbers
         */
        private List<String> fail;
        /**
        * Cause of failure set Device number: cause of failure
        */
        private List<string> failMsg;

        [JsonProperty("success")]
        public List<string> Success { get{ return success; }set{ success = value; }}
        [JsonProperty("fail")]
        public List<string> Fail { get{ return fail; }set{ fail = value; }}
        [JsonProperty("failMsg")]
        public List<string> FailMsg { get{ return failMsg; }set{ failMsg = value; }}
    }
}
