﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    /**
     * Modify printer request parameters
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class UpdPrinterRequest : RestRequest
    {

        /**
         * Printer number
         */
        private String sn;
        /**
         * Printer Name
         */
        private String name;
        /**
         * Printer ID
         */
        private String idcode;
        /**
         * Flow Card Number
         */
        private String cardno;

        [JsonProperty("sn")]
        public string Sn { get{ return sn; }set{ sn = value; }}
        [JsonProperty("name")]
        public string Name { get{ return name; }set{ name = value; }}
        [JsonProperty("idcode")]
        public string Idcode { get{ return idcode; }set{ idcode = value; }}
        [JsonProperty("cardno")]
        public string Cardno { get{ return cardno; }set{ cardno = value; }}
    }
}
