﻿using Newtonsoft.Json;

namespace YKPrintService.VO
{
    /**
     * 订单统计结果
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class OrderStatisResult
    {

        /**
         * 已打印订单数
         */
        private int printed;
        /**
         * 等待打印订单数
         */
        private int waiting;
        [JsonProperty("printed")]
        public int Printed
        {
            get { return printed; }
            set { printed = value; }
        }
        [JsonProperty("waiting")]
        public int Waiting
        {
            get { return waiting; }
            set { waiting = value; }
        }
    }
}
