﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    /**
     * 设置打印机语音类型请求参数
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class SetVoiceTypeRequest : RestRequest
    {

        /**
         * 打印机编号
         */
        private String sn;

        /**
         * 声音类型： 0真人语音（大） 1真人语音（中） 2真人语音（小） 3 嘀嘀声  4 静音
         */
        private int voiceType;
        [JsonProperty("sn")]
        public string Sn
        {
            get { return sn; }
            set { sn = value; }
        }
        [JsonProperty("voiceType")]
        public int VoiceType
        {
            get { return voiceType; }
            set { voiceType = value; }
        }
    }

}
