﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    /**
     * 修改打印机请求参数
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class UpdPrinterRequest : RestRequest
    {

        /**
         * 打印机编号
         */
        private String sn;
        /**
         * 打印机名称
         */
        private String name;
        /**
         * 打印机识别码
         */
        private String idcode;
        /**
         * 流量卡号码
         */
        private String cardno;

        [JsonProperty("sn")]
        public string Sn
        {
            get { return sn; }
            set { sn = value; }
        }
        [JsonProperty("name")]
        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        [JsonProperty("idcode")]
        public string Idcode
        {
            get { return idcode; }
            set { idcode = value; }
        }
        [JsonProperty("cardno")]
        public string Cardno
        {
            get { return cardno; }
            set { cardno = value; }
        }
    }
}