﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;

namespace YKPrintService.VO
{
    /**
         * 批量添加或删除打印机结果
         *
         * @author RabyGao
         * @date Aug 7, 2019
    */
    public class PrinterResult
    {

        public PrinterResult()
        {

            Success = new List<string>();
            Fail = new List<string>();
            FailMsg = new List<string>();
        }

        /**
         * 成功的打印机编号集合
         */
        private List<String> success;

        /**
         * 失败的打印机编号集合
         */
        private List<String> fail;
        /**
        * 失败原因集合  设备编号：失败原因
        */
        private List<string> failMsg;

        [JsonProperty("success")]
        public List<string> Success
        {
            get { return success; }
            set { success = value; }
        }
        [JsonProperty("fail")]
        public List<string> Fail
        {
            get { return fail; }
            set { fail = value; }
        }
        [JsonProperty("failMsg")]
        public List<string> FailMsg
        {
            get { return failMsg; }
            set { failMsg = value; }
        }
    }
}
