﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    /**
     * 查询订单统计请求参数
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class QueryOrderStatisRequest : RestRequest
    {

        /**
         * 打印机编号
         */
        private String sn;
        /**
         * 查询日期，格式YY-MM-DD，如：2016-09-20
         */
        private String date;
        [JsonProperty("sn")]
        public string Sn
        {
            get { return sn; }
            set { sn = value; }
        }
        [JsonProperty("date")]
        public string Date
        {
            get { return date; }
            set { date = value; }
        }
    }
}
