﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    /**
     * Sets printer voice type request parameters
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class SetVoiceTypeRequest : RestRequest
    {

        /**
         * Printer number
         */
        private String sn;

        /**
         * Sound type: 0 real voice (big) 1 real voice (middle) 2 real voice (small) 3 beep 4 mute
         */
        private int voiceType;
        [JsonProperty("sn")]
        public string Sn { get{ return sn; }set{ sn = value; }}
        [JsonProperty("voiceType")]
        public int VoiceType { get{ return voiceType; }set{ voiceType = value; }}
    }
}
